#### strings_from_apk

Strings from APK enables looking up strings by Android ID. This is useful for uiautomator which is normally not allowed to look up by ID.

```ruby
gem uninstall -aIx strings_from_apk; gem install strings_from_apk
```

[strings_from_apk](https://rubygems.org/gems/strings_from_apk) is on RubyGems.

#### System requirements

- Linux or OS X
- Ruby 1.9.x+
- Java 1.6+
- Does not work on Windows, Ruby 1.8, or Java 1.5

#### Example

```ruby
require 'rubygems'
require 'strings_from_apk'

# Load default strings
r = StringsFromApk::Resource.new '/tmp/apk/apk.apk' 

r.get_string 'title_message_2'
# => "Welcome to this application!"

r.json # the full JSON object

# Load italian strings
 StringsFromApk::Resource.new '/tmp/apk/apk2.apk', 'it'
```

The conversion logic is in [strings_from_apk.jar](https://github.com/bootstraponline/strings_from_apk)
